Bug 678718 - [abrt] setroubleshoot-server-3.0.25-1.fc14: browser.py:625:on_delete_button_clicked:IndexError: list index out of range
Summary: [abrt] setroubleshoot-server-3.0.25-1.fc14: browser.py:625:on_delete_button_c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:08040cd2
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-18 23:51 UTC by virum
Modified: 2011-03-09 20:53 UTC (History)
3 users (show)

Fixed In Version: setroubleshoot-3.0.30-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-09 20:53:50 UTC


Attachments (Terms of Use)
File: backtrace (501 bytes, text/plain)
2011-02-18 23:51 UTC, virum
no flags Details

Description virum 2011-02-18 23:51:39 UTC
abrt version: 1.1.14
architecture: i686
cmdline: /usr/bin/python -Es /usr/bin/sealert -s
component: setroubleshoot
executable: /usr/bin/sealert
kernel: 2.6.35.11-83.fc14.i686
package: setroubleshoot-server-3.0.25-1.fc14
reason: browser.py:625:on_delete_button_clicked:IndexError: list index out of range
release: Fedora release 14 (Laughlin)
time: 1298071264
uid: 0

backtrace
-----
browser.py:625:on_delete_button_clicked:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/setroubleshoot/browser.py", line 625, in on_delete_button_clicked
    self.database.delete_signature(self.alert_list[self.current_alert].sig)
IndexError: list index out of range

Local variables in innermost frame:
widget: <gtk.Button object at 0xaab6a7c (GtkButton at 0x938f978)>
self: <setroubleshoot.browser.BrowserApplet instance at 0x97b7dcc>

How to reproduce
-----
1.not sure
2.
3.

Comment 1 virum 2011-02-18 23:51:42 UTC
Created attachment 479631 [details]
File: backtrace

Comment 2 Daniel Walsh 2011-02-21 23:22:29 UTC
Try setroubleshoot-server-3.0.28-1.fc14

Comment 3 Fedora Update System 2011-02-21 23:23:28 UTC
setroubleshoot-3.0.28-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/setroubleshoot-3.0.28-1.fc14

Comment 4 Fedora Update System 2011-03-01 16:17:43 UTC
Package setroubleshoot-3.0.30-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing setroubleshoot-3.0.30-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/setroubleshoot-3.0.30-1.fc14
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-03-02 01:53:30 UTC
setroubleshoot-3.0.30-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/setroubleshoot-3.0.30-1.fc14

Comment 6 stajem 2011-03-06 00:07:58 UTC
Package: setroubleshoot-server-3.0.25-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Nothing specialy
2.ABRT open a window alert with nothing : no name, no description of the problem...
3.Click on delete and bug appears

Comment 7 Fedora Update System 2011-03-09 20:53:26 UTC
setroubleshoot-3.0.30-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.